local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
data(self, tweak_data)
local ps2 = {
upgrades = {"weapon_passive_headshot_damage_multiplier"},
cost = 6,
icon_xy = {1, 0},
name_id = "all_2",
desc_id = "all_2_desc"}
local ps4 = {
upgrades = {"passive_player_xp_multiplier",
"player_passive_suspicion_bonus",
"player_passive_armor_movement_penalty_multiplier"},
cost = 7,
icon_xy = {3, 0},
name_id = "all_4",
desc_id = "all_4_desc"}
local ps6 = {
upgrades = {"armor_kit",
"player_pick_up_ammo_multiplier"},
cost = 8,
icon_xy = {5, 0},
name_id = "all_6",
desc_id = "all_6_desc"}
local ps8 = {
upgrades = {"weapon_passive_damage_multiplier",
"passive_doctor_bag_interaction_speed_multiplier"},
cost = 9,
icon_xy = {7, 0},
name_id = "all_8",
desc_id = "all_8_desc"}
local pc1 = 1
local pc3 = 6
local pc5 = 2
local pc7 = 7
local pc9 = 3
local pdcb = "player_passive_loot_drop_multiplier"
table.insert(self.specializations,{
name_id = "APD'name",
desc_id = "APD'desc",{
upgrades = {
"player_passive_damage_reduction_1", "team_damage_reduction_1", "player_passive_health_multiplier_1", "player_tier_armor_multiplier_2", "player_passive_dodge_chance_1", "player_perk_armor_regen_timer_multiplier_1", "player_tier_dodge_chance_1", "player_damage_dampener_outnumbered_strong", "temporary_loose_ammo_restore_health_1", "player_gain_life_per_players", "player_damage_to_hot_1", "player_armor_regen_damage_health_ratio_multiplier_1", "player_armor_health_store_amount_1", "player_cocaine_stacking_1", "player_armor_grinding_1", "player_wild_health_amount_1", "player_wild_armor_amount_1", "temporary_chico_injector_1", "chico_injector", "smoke_screen_grenade", "player_damage_control_passive", "temporary_damage_control", "damage_control", "player_damage_control_cooldown_drain_1", "tag_team", "player_tag_team_base", "player_tag_team_cooldown_drain_1", "pocket_ecm_jammer", "player_pocket_ecm_jammer_base", "temporary_copr_ability_1", "copr_ability", "player_copr_static_damage_ratio_1", "player_copr_kill_life_leech_1", "player_copr_activate_bonus_health_ratio_1", "player_copr_teammate_heal_1"
},
cost = pc1,
icon_xy = {1, 1},
name_id = "APD'perk1n",
desc_id = "APD'perk1d"},
ps2,{
upgrades = {
"team_passive_stamina_multiplier_1", "player_passive_intimidate_range_mul", "player_passive_health_multiplier_2", "player_uncover_multiplier", "player_tier_armor_multiplier_3", "player_camouflage_multiplier", "player_level_2_dodge_addend_1", "player_level_3_dodge_addend_1", "player_level_4_dodge_addend_1", "player_level_2_armor_multiplier_1", "player_level_3_armor_multiplier_1", "player_level_4_armor_multiplier_1", "player_perk_armor_regen_timer_multiplier_2", "akimbo_recoil_index_addend_4", "akimbo_extra_ammo_multiplier_3", "player_stand_still_crouch_camouflage_bonus_1", "player_corpse_dispose_speed_multiplier", "player_damage_dampener_close_contact_1", "player_killshot_regen_armor_bonus", "temporary_loose_ammo_give_team", "player_damage_to_hot_2", "player_movement_speed_damage_health_ratio_multiplier", "player_armor_health_store_amount_2", "player_sync_cocaine_stacks", "player_health_decrease_1", "player_armor_increase_1", "player_less_health_wild_armor_1", "player_dodge_shot_gain", "player_armor_to_health_conversion", "player_copr_out_of_health_move_slow_1"
},
cost = pc3,
icon_xy = {1, 1},
name_id = "APD'perk3n",
desc_id = "APD'perk3d"},
ps4,{
upgrades = {
"team_passive_health_multiplier", "player_passive_health_multiplier_1", "player_passive_health_multiplier_3", "player_tier_armor_multiplier_4", "player_passive_dodge_chance_2", "player_level_2_dodge_addend_2", "player_level_3_dodge_addend_2", "player_level_4_dodge_addend_2", "player_level_2_armor_multiplier_2", "player_level_3_armor_multiplier_2", "player_level_4_armor_multiplier_2", "player_perk_armor_regen_timer_multiplier_3", "player_tier_dodge_chance_2", "player_stand_still_crouch_camouflage_bonus_2", "player_pick_lock_speed_multiplier", "player_damage_dampener_close_contact_2", "player_melee_kill_life_leech", "player_loose_ammo_restore_health_give_team", "player_damage_to_hot_3", "player_armor_piercing_chance_1", "player_armor_regen_damage_health_ratio_multiplier_2", "player_armor_max_health_store_multiplier", "player_cocaine_stacks_decay_multiplier_1", "player_armor_increase_2", "player_less_health_wild_cooldown_1", "player_chico_preferred_target", "player_damage_control_auto_shrug", "player_tag_team_damage_absorption", "player_pocket_ecm_heal_on_kill_1", "player_passive_dodge_chance_1", "temporary_copr_ability_2", "player_copr_teammate_heal_2", "player_copr_speed_up_on_kill_1"
},
cost = pc5,
icon_xy = {1, 1},
name_id = "APD'perk5n",
desc_id = "APD'perk5d"},
ps6,{
upgrades = {
"player_tier_armor_multiplier_1", "team_passive_armor_multiplier", "player_panic_suppression", "player_armor_regen_timer_multiplier_passive", "player_passive_dodge_chance_3", "player_level_2_dodge_addend_3", "player_level_3_dodge_addend_3", "player_level_4_dodge_addend_3", "player_level_2_armor_multiplier_3", "player_level_3_armor_multiplier_3", "player_level_4_armor_multiplier_3", "player_perk_armor_regen_timer_multiplier_4", "player_tier_dodge_chance_3", "player_stand_still_crouch_camouflage_bonus_3", "player_alarm_pager_speed_multiplier", "player_damage_dampener_close_contact_3", "melee_stacking_hit_damage_multiplier_1", "melee_stacking_hit_expire_t", "player_killshot_close_regen_armor_bonus", "temporary_loose_ammo_restore_health_2", "player_damage_to_hot_4", "player_armor_regen_damage_health_ratio_multiplier_3", "player_armor_health_store_amount_3", "player_sync_cocaine_upgrade_level_1", "player_armor_increase_3", "player_less_armor_wild_health_1", "player_chico_injector_low_health_multiplier", "player_dodge_replenish_armor", "player_damage_control_cooldown_drain_2", "player_passive_dodge_chance_1"
},
cost = pc7,
icon_xy = {1, 1},
name_id = "APD'perk7n",
desc_id = "APD'perk7d"},
ps8,{
upgrades = {
"team_hostage_health_multiplier", "team_hostage_stamina_multiplier", "player_passive_health_multiplier_4", "player_passive_health_regen", "player_tier_armor_multiplier_6", "weapon_passive_armor_piercing_chance", "weapon_passive_swap_speed_multiplier_1", "player_perk_armor_regen_timer_multiplier_5", "player_perk_armor_regen_timer_multiplier_5", "player_armor_regen_timer_stand_still_multiplier", "player_crouch_speed_multiplier_2", "player_melee_life_leech", "player_killshot_close_panic_chance", "temporary_loose_ammo_restore_health_3", "player_damage_to_hot_extra_ticks", "player_armor_piercing_chance_2", "player_movement_speed_damage_health_ratio_threshold_multiplier", "player_armor_regen_damage_health_ratio_threshold_multiplier", "player_kill_change_regenerate_speed", "player_cocaine_stack_absorption_multiplier_1", "player_sync_cocaine_upgrade_level_1", "player_damage_to_armor_1", "player_less_armor_wild_cooldown_1", "player_chico_injector_health_to_speed", "player_sicario_multiplier", "player_smoke_screen_ally_dodge_bonus", "player_damage_control_healing", "player_tag_team_cooldown_drain_2", "team_pocket_ecm_heal_on_kill_1", "player_passive_dodge_chance_2", "player_activate_ability_downed", "player_copr_static_damage_ratio_2", "player_copr_kill_life_leech_2"
},
cost = pc9,
icon_xy = {1, 1},
name_id = "APD'perk9n",
desc_id = "APD'perk9d"}})
end
